# -*- Autoconf -*-
#
# M4 macros for Wannier90 (imported from Abinit)
#
# Copyright (C) 2010 Yann Pouillon
#
# This file is part of the Wannier90 software package. For license information,
# please see the COPYING file in the top-level directory of the source
# distribution.
#

#
# Linear algebra support
#



# W90_LINALG_CHECK()
# ------------------
#
# Checks that the selected linear algebra libraries properly work.
#
AC_DEFUN([W90_LINALG_CHECK],[
  dnl Init
  w90_linalg_ok="unknown"

  dnl Check BLAS and LAPACK routines
  AC_LANG_PUSH([Fortran])
  AC_MSG_CHECKING([whether linear algebra libraries work])
  AC_LINK_IFELSE([AC_LANG_PROGRAM([],
    [[
      call zgemm
      call zhpev
    ]])], [w90_linalg_ok="yes"], [w90_linalg_ok="no"])
  AC_MSG_RESULT([${w90_linalg_ok}])
  AC_LANG_POP([Fortran])
]) # W90_LINALG_CHECK
